     //////////////////////////////////////////////////////////////////////
     // The contents of this file are subject to the Mozilla Public License
     // Version 1.1 (the "License"); you may not use this file except in
     // compliance with the License.  You may obtain a copy of the License
     // at http://www.mozilla.org/MPL/
     //
     // Software distributed under the License is distributed on an "AS IS"
     // basis, WITHOUT WARRANTY OF ANY KIND, either express or implied.
     // See the License for the specific language governing rights and
     // limitations under the License.
     //
     // The Original Code is "com.orbs.open1.mpl.net.Net",
     // created 1997-04-18.
     //
     // The Initial Developer of the Original Code is David Wallace Croft
     // (croft@alumni.caltech.edu, http://www.alumni.caltech.edu/~croft/).
     // Portions created by David Wallace Croft are
     // Copyright (C) 1999 David Wallace Croft.  All Rights Reserved.
     //
     // Contributor(s):
     //////////////////////////////////////////////////////////////////////

     package com.orbs.open1.mpl.net;

     import com.orbs.open1.mpl.lang.*;
     
     /*********************************************************************
     * <P>
     * A collection of constants and static methods to supplement
     * the java.net package.
     * <P>
     * @version
     *   1997-04-18
     * @author
     *   <A HREF="http://www.alumni.caltech.edu/~croft">David W. Croft</A>
     *********************************************************************/

     public final class  Net {
     //////////////////////////////////////////////////////////////////////
     //////////////////////////////////////////////////////////////////////

     /*********************************************************************
     * Removes everything between bracket pairs plus the brackets.
     *********************************************************************/
     public static final String  strip_HTML_tags ( String  s ) {
     //////////////////////////////////////////////////////////////////////
       String  stripped = new String ( s );
       int  index = -1;
       int  end_index;
       while ( ( index = stripped.indexOf ( '<' ) ) >= 0 ) {
         if ( ( end_index = stripped.indexOf ( '>', index ) ) >= 0 ) {
           stripped = StringLib.remove ( stripped, index, end_index );
         } else break;
       }
       return stripped;
     }

     //////////////////////////////////////////////////////////////////////
     //////////////////////////////////////////////////////////////////////
     }
