     //////////////////////////////////////////////////////////////////////
     // The contents of this file are subject to the Mozilla Public License
     // Version 1.1 (the "License"); you may not use this file except in
     // compliance with the License.  You may obtain a copy of the License
     // at http://www.mozilla.org/MPL/
     //
     // Software distributed under the License is distributed on an "AS IS"
     // basis, WITHOUT WARRANTY OF ANY KIND, either express or implied.
     // See the License for the specific language governing rights and
     // limitations under the License.
     //
     // The Original Code is
     // "com.orbs.open1.mpl.security.manager.NullSecurityManager",
     // created 1999-02-07.
     //
     // The Initial Developer of the Original Code is David Wallace Croft
     // (croft@alumni.caltech.edu, http://www.alumni.caltech.edu/~croft/).
     // Portions created by David Wallace Croft are
     // Copyright (C) 1999 David Wallace Croft.  All Rights Reserved.
     //
     // Contributor(s):
     //////////////////////////////////////////////////////////////////////

     package com.orbs.open1.mpl.security.manager;

     import java.io.FileDescriptor;
     import java.net.InetAddress;

     /*********************************************************************
     * Disables all security checks.
     *
     * <PRE>
     *
     * if ( System.getSecurityManager ( ) == null )
     * {
     *   System.setSecurityManager ( new NullSecurityManager ( ) );
     * }
     *
     * </PRE>
     *
     * @author
     *   <A HREF="http://www.alumni.caltech.edu/~croft/">David W. Croft</A>
     * @version
     *   1999-02-07
     *********************************************************************/

     public class  NullSecurityManager extends SecurityManager
     //////////////////////////////////////////////////////////////////////
     // The source code is also useful as a template for writing new custom
     // SecurityManagers.
     //////////////////////////////////////////////////////////////////////
     {

     public void  checkAccept ( String  host, int  port )
     //////////////////////////////////////////////////////////////////////
     {
     }

     public void  checkAccess ( Thread  t )
     //////////////////////////////////////////////////////////////////////
     {
     }

     public void  checkAccess ( ThreadGroup  g )
     //////////////////////////////////////////////////////////////////////
     {
     }

     public void  checkAwtEventQueueAccess ( )
     //////////////////////////////////////////////////////////////////////
     {
     }

     public void  checkConnect ( String  host, int  port )
     //////////////////////////////////////////////////////////////////////
     {
     }

     public void  checkConnect ( String  host, int  port, Object  context )
     //////////////////////////////////////////////////////////////////////
     {
     }

     public void  checkCreateClassLoader ( )
     //////////////////////////////////////////////////////////////////////
     {
     }

     public void  checkDelete ( String  file )
     //////////////////////////////////////////////////////////////////////
     {
     }

     public void  checkExec ( String  cmd )
     //////////////////////////////////////////////////////////////////////
     {
     }

     public void  checkExit ( int  status )
     //////////////////////////////////////////////////////////////////////
     {
     }

     public void  checkLink ( String  libname )
     //////////////////////////////////////////////////////////////////////
     {
     }

     public void  checkListen ( int  port )
     //////////////////////////////////////////////////////////////////////
     {
     }

     public void  checkMemberAccess ( Class  clazz, int  which )
     //////////////////////////////////////////////////////////////////////
     {
     }

     public void  checkMulticast ( InetAddress  maddr )
     //////////////////////////////////////////////////////////////////////
     {
     }

     public void  checkMulticast ( InetAddress  maddr, byte  ttl )
     //////////////////////////////////////////////////////////////////////
     {
     }

     public void  checkPackageAccess ( String  pkg )
     //////////////////////////////////////////////////////////////////////
     {
     }

     public void  checkPackageDefinition ( String  pkg )
     //////////////////////////////////////////////////////////////////////
     {
     }

     public void  checkPrintJobAccess ( )
     //////////////////////////////////////////////////////////////////////
     {
     }

     public void  checkPropertiesAccess ( )
     //////////////////////////////////////////////////////////////////////
     {
     }

     public void  checkPropertyAccess ( String  key )
     //////////////////////////////////////////////////////////////////////
     {
     }

     public void  checkRead ( FileDescriptor  fd )
     //////////////////////////////////////////////////////////////////////
     {
     }

     public void  checkRead ( String  file )
     //////////////////////////////////////////////////////////////////////
     {
     }

     public void  checkRead ( String  file, Object  context )
     //////////////////////////////////////////////////////////////////////
     {
     }

     public void  checkSecurityAccess ( String  action )
     //////////////////////////////////////////////////////////////////////
     {
     }

     public void  checkSetFactory ( )
     //////////////////////////////////////////////////////////////////////
     {
     }

     public void  checkSystemClipboardAccess ( )
     //////////////////////////////////////////////////////////////////////
     {
     }

     public boolean  checkTopLevelWindow ( Object  window )
     //////////////////////////////////////////////////////////////////////
     {
       return true;
     }

     public void  checkWrite ( FileDescriptor  fd )
     //////////////////////////////////////////////////////////////////////
     {
     }

     public void  checkWrite ( String  file )
     //////////////////////////////////////////////////////////////////////
     {
     }

     //////////////////////////////////////////////////////////////////////
     //////////////////////////////////////////////////////////////////////
     }
