     //////////////////////////////////////////////////////////////////////
     // The contents of this file are subject to the Mozilla Public License
     // Version 1.1 (the "License"); you may not use this file except in
     // compliance with the License.  You may obtain a copy of the License
     // at http://www.mozilla.org/MPL/
     //
     // Software distributed under the License is distributed on an "AS IS"
     // basis, WITHOUT WARRANTY OF ANY KIND, either express or implied.
     // See the License for the specific language governing rights and
     // limitations under the License.
     //
     // The Original Code is
     // "com.orbs.open1.mpl.app.chat.ChatConstants",
     // created 1999-12-20.
     //
     // The Initial Developer of the Original Code is David Wallace Croft
     // (croft@alumni.caltech.edu, http://www.alumni.caltech.edu/~croft/).
     // Portions created by David Wallace Croft are
     // Copyright (C) 2000 David Wallace Croft.  All Rights Reserved.
     //
     // Contributor(s):
     //////////////////////////////////////////////////////////////////////

     package com.orbs.open1.mpl.app.chat;

     import java.awt.Color;

     /*********************************************************************
     *
     * <P>
     *
     * @author
     *   <A HREF="http://www.alumni.caltech.edu/~croft">David W. Croft</A>
     * @version
     *   2000-04-18
     *********************************************************************/

     public interface  ChatConstants
     //////////////////////////////////////////////////////////////////////
     //////////////////////////////////////////////////////////////////////
     {

     public static final String  DEFAULT_SERVER_URL_NAME
       = "http://localhost/servlet/chatservlet";
//     = "http://www.orbs.com/servlet/chatservlet";

     public static final String  REQUEST            = "\\Q";

     public static final String  RESPONSE           = "\\R";

     public static final String  REQUEST_INVALID    = "REQUEST_INVALID";

     public static final String  UNIQUE_ID          = "UNIQUE_ID";

     public static final String  LIST_AVATAR_IMAGES = "LIST_AVATAR_IMAGES";

     public static final String  LIST_AVATARS       = "LIST_AVATARS";

     public static final String  AVATAR_RELOCATE    = "AVATAR_RELOCATE";

     public static final String  DISCONNECT         = "DISCONNECT";

     public static final String  SET_VIEW           = "SET_VIEW";

     public static final String  QUIT               = "QUIT";

     public static final String  SELECT_AVATAR_IMAGE
       = "SELECT_AVATAR_IMAGE";

     public static final Color   ERROR_COLOR = Color.red;

     public static final String  ERROR_SEND
       = "Unable to send to the ChatServer.";

     public static final String  ERROR_RECEIVE
       = "Unable to receive from the ChatServer.";

     public static final String  DEFAULT_AVATAR_IMAGE
       = "chat_images/BRAIN.GIF";

     public static final long  NULL_UNIQUE_ID = -1;

     //////////////////////////////////////////////////////////////////////
     //////////////////////////////////////////////////////////////////////
     }
