     //////////////////////////////////////////////////////////////////////
     // The contents of this file are subject to the Mozilla Public License
     // Version 1.1 (the "License"); you may not use this file except in
     // compliance with the License.  You may obtain a copy of the License
     // at http://www.mozilla.org/MPL/
     //
     // Software distributed under the License is distributed on an "AS IS"
     // basis, WITHOUT WARRANTY OF ANY KIND, either express or implied.
     // See the License for the specific language governing rights and
     // limitations under the License.
     //
     // The Original Code is
     // "com.orbs.open1.mpl.app.tag3d.Tag3DSecurityManager",
     // created 1999-02-07.
     //
     // The Initial Developer of the Original Code is David Wallace Croft
     // (croft@alumni.caltech.edu, http://www.alumni.caltech.edu/~croft/).
     // Portions created by David Wallace Croft are
     // Copyright (C) 1999 David Wallace Croft.  All Rights Reserved.
     //
     // Contributor(s):
     //////////////////////////////////////////////////////////////////////

     package com.orbs.open1.mpl.app.tag3d;

     import java.rmi.RMISecurityManager;

     /*********************************************************************
     * An RMISecurityManager extension that loosens the restrictions where
     * necessary to permit the use of RMI with the Tag3D application.
     *
     * @author
     *   <A HREF="http://www.alumni.caltech.edu/~croft/">David W. Croft</A>
     * @version
     *   1999-02-07
     *********************************************************************/

     public class  Tag3DSecurityManager extends RMISecurityManager
     //////////////////////////////////////////////////////////////////////
     //////////////////////////////////////////////////////////////////////
     {

     public void  checkAccess ( Thread  t )
     //////////////////////////////////////////////////////////////////////
     {
     }

     public void  checkAccess ( ThreadGroup  g )
     //////////////////////////////////////////////////////////////////////
     {
     }

     public void  checkConnect ( String  host, int  port )
     //////////////////////////////////////////////////////////////////////
     {
     }

     public void  checkConnect ( String  host, int  port, Object  context )
     //////////////////////////////////////////////////////////////////////
     {
     }

     public boolean  checkTopLevelWindow ( Object  window )
     //////////////////////////////////////////////////////////////////////
     {
       return true;
     }

     //////////////////////////////////////////////////////////////////////
     //////////////////////////////////////////////////////////////////////
     }
